package com.zcloud.fire.check.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.fire.check.dto.*;
import com.zcloud.fire.check.dto.clientobject.FireRegionCO;

import java.util.Collection;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2025-11-26 10:13:10
 */
public interface FireRegionServiceI {
    PageResponse<FireRegionCO> listPage(FireRegionPageQry qry);

    SingleResponse<FireRegionCO> add(FireRegionAddCmd cmd);

    void edit(FireRegionUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    FireRegionCO getInfoById(Long id);

    void editStatus(FireRegionUpdateStatusCmd fireRegionUpdateStatusCmd);

    void editAllDepartment(FireRegionUpdateDepartmentCmd fireRegionUpdateDepartmentCmd);

    Collection<FireRegionCO> listAll(Long corpinfoId);
}

